import { MouseEvent, MouseEventHandler, ReactElement } from 'react';
import { IconData } from '@equinor/eds-icons';
export interface DataCardProps {
    headerText: string;
    title: string;
    tooltipOnTitle?: boolean;
    rightIcon?: IconData;
    rightElement?: ReactElement;
    body?: ReactElement;
    className?: string;
    onClick?: MouseEventHandler;
    onContextMenu?: (event: MouseEvent<HTMLDivElement>) => void;
}
/**
 * @deprecated Being deprecated from amplify-component-lib move into app if you want the implementation
 */
declare const DataCard: import("react").ForwardRefExoticComponent<DataCardProps & import("react").RefAttributes<HTMLDivElement>>;
export default DataCard;
