import { FC } from 'react';
import { Editor, Extensions } from '@tiptap/react';
import { OnImageUploadFn, RichTextEditorFeatures } from './RichTextEditor.types';
export interface EditorProviderProps {
    children: (editor: Editor) => JSX.Element;
    content: string | null | undefined;
    extensions?: Extensions;
    onUpdate?: (html: string) => void;
    placeholder?: string;
    onImageUpload?: OnImageUploadFn;
    features?: RichTextEditorFeatures[];
}
export declare const EditorProvider: FC<EditorProviderProps>;
