import { FC, ReactNode } from 'react';
import { DefaultNotificationTypes, Due3WeeksTypes, ExperienceReadyToPublishTypes, MergeBranchOrcaTypes, ReadyToReportNotificationTypes, RequestChangeOrcaTypes, RequestReviewOrcaTypes, ReviewQANotificationsTypes } from './NotificationsTemplate/Notifications.types';
export interface NotificationsProps {
    setAllAsRead: () => void;
    hasUnread?: boolean;
    showFilterOptions?: boolean;
    children?: ReactNode;
    notifications?: (ReadyToReportNotificationTypes | RequestChangeOrcaTypes | MergeBranchOrcaTypes | Due3WeeksTypes | ExperienceReadyToPublishTypes | ReviewQANotificationsTypes | DefaultNotificationTypes | RequestReviewOrcaTypes)[];
}
export declare const NotificationsInner: FC<NotificationsProps>;
